Bug 147274 - Update port: deskutils/cairo-dock-plugins to 2.1.3
Update port: deskutils/cairo-dock-plugins to 2.1.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 09:20 UTC by Ivan Klymenko
Modified: 2010-07-12 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (76.29 KB, patch)
2010-06-01 09:20 UTC, Ivan Klymenko
no flags Details | Diff
147274.diff (75.66 KB, patch)
2010-06-29 17:54 UTC, mi+thun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2010-06-01 09:20:04 UTC

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-06-01 19:01:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 mi+thun 2010-06-29 17:54:02 UTC
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147274

Attached is the modified version of the patch. As with cairo-dock, I 
changed the PORTVERSION to 2.1.3.9. I also declare USE_DOS2UNIX, because 
some of the sources now contain DOS' EOL symbols.

I added an explicit run-dependency on wget, because some of the plugins 
use it to submit data via HTTP POST. Other plugins use curl, which is 
brought in implicitly by the etpan dependency. (It would be nice, if the 
wget-users were converted to curl, so we could reduce the number of 
dependencies here. Seems like the conversion is already happening 
upstream, though.)

Ivan, if you approve (and miwi@ does not object), I can commit the 
upgrades to both cairo-dock ports for you.

Thanks! Yours,

    -mi
Comment 3 Ivan Klymenko 2010-06-29 18:10:54 UTC
=D0=92 Tue, 29 Jun 2010 12:54:02 -0400
"Mikhail T." <mi+thun@aldan.algebra.com> =D0=BF=D0=B8=D1=88=D0=B5=D1=82:

> http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/147274
>=20
> Attached is the modified version of the patch. As with cairo-dock, I=20
> changed the PORTVERSION to 2.1.3.9. I also declare USE_DOS2UNIX,
> because some of the sources now contain DOS' EOL symbols.
>=20
> I added an explicit run-dependency on wget, because some of the
> plugins use it to submit data via HTTP POST. Other plugins use curl,
> which is brought in implicitly by the etpan dependency. (It would be
> nice, if the wget-users were converted to curl, so we could reduce
> the number of dependencies here. Seems like the conversion is already
> happening upstream, though.)
>=20
> Ivan, if you approve (and miwi@ does not object), I can commit the=20
> upgrades to both cairo-dock ports for you.
>=20
> Thanks! Yours,
>=20
>     -mi
>=20

Yes, of course! I do not mind. :)

Thanks! Yours,
Comment 4 mi+thun 2010-06-29 19:08:07 UTC
29.06.2010 13:10, Ivan Klymenko ÎÁÐÉÓÁ×(ÌÁ):
> Yes, of course! I do not mind.:)
>
> Thanks! Yours,
>    
Martin, could you confirm, that the new version works for you? Thanks!

    -mi
Comment 5 Martin Wilke freebsd_committer 2010-07-12 04:09:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2010-07-12 04:09:31 UTC
miwi        2010-07-12 03:09:09 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/cairo-dock-plugins Makefile distinfo pkg-plist 
    deskutils/cairo-dock-plugins/files patch-Makefile.am 
                                       patch-Makefile.in 
                                       patch-shortcuts 
  Added files:
    deskutils/cairo-dock-plugins/files patch-tomboy-dbus 
  Removed files:
    deskutils/cairo-dock-plugins/files patch-tomboy 
  Log:
  - Update to  2.1.3-9
  
  PR:             147274
  Submitted by:   Ivan Klymenko <fidaj@ukr.net> (maintainer)
  
  Revision  Changes    Path
  1.4       +16 -12    ports/deskutils/cairo-dock-plugins/Makefile
  1.2       +3 -3      ports/deskutils/cairo-dock-plugins/distinfo
  1.2       +280 -201  ports/deskutils/cairo-dock-plugins/files/patch-Makefile.am
  1.2       +321 -201  ports/deskutils/cairo-dock-plugins/files/patch-Makefile.in
  1.2       +1 -1      ports/deskutils/cairo-dock-plugins/files/patch-shortcuts
  1.2       +0 -22     ports/deskutils/cairo-dock-plugins/files/patch-tomboy (dead)
  1.1       +11 -0     ports/deskutils/cairo-dock-plugins/files/patch-tomboy-dbus (new)
  1.2       +63 -46    ports/deskutils/cairo-dock-plugins/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"